package com.ruoyi.frequency.store.model.result;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author a
 * @date 2024/2/22 11:42
 */
@Data
public class StoreCount {

    @ApiModelProperty("总人数")
    private Integer number =0;

    @ApiModelProperty("在线人数")
    private Integer onlineNumber = 0;

    @ApiModelProperty("总在线时长")
    private Integer onlineDuration = 0;

    @ApiModelProperty("余额")
    private BigDecimal balance = new BigDecimal("0");

    @ApiModelProperty("提现金额")
    private BigDecimal withdrawableAmount = new BigDecimal("0");

    @ApiModelProperty("累计收益")
    private BigDecimal income = new BigDecimal("0");

    @ApiModelProperty("保证金金额")
    private BigDecimal bondAmount = new BigDecimal("0");

}
